#!/bin/bash

#################################################################
#                                                               #
#  Script d'apres http://blog.samat.org/                        #
#                                                               #
#  Suppression de paquets dans Raspbian pour alleger l'OS       #
#                                                               #
#################################################################

# www.framboise314.fr / juillet 2015


# Paquets relatifs a l'interface graphique
pkgs="
xserver*
xserver-xorg-video-fbdev
xserver-xorg xinit
x11-utils x11-common x11-xkb-utils x11-xserver-utils
gstreamer1.0-x gstreamer1.0-omx gstreamer1.0-plugins-base
gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-alsa
gstreamer1.0-libav
epiphany-browser
lxde lxtask menu-xdg gksu
xserver-xorg-video-fbturbo
xpdf gtk2-engines alsa-utils
netsurf-gtk zenity
desktop-base lxpolkit
weston
omxplayer
raspberrypi-artwork
lightdm gnome-themes-standard-data gnome-icon-theme
qt50-snapshot qt50-quick-particle-examples
obconf openbox
xf*
lxde*
"

# Paquets educatifs - programmation
pkgs="$pkgs
idle python3-pygame python-pygame python-tk
idle3 python3-tk
python3-rpi.gpio
python-serial python3-serial
python-picamera python3-picamera
debian-reference-en dillo x2x
scratch nuscratch
raspberrypi-ui-mods
timidity
smartsim penguinspuzzle
pistore
sonic-pi
python3-numpy
python3-pifacecommon python3-pifacedigitalio python3-pifacedigital-scratch-hand$
oracle-java8-jdk
minecraft-pi python-minecraftpi
wolfram-engine
"

# Suppression des paquets
for i in $pkgs; do
        sudo apt-get -y remove --purge $i
        sudo apt-get -y autoremove
done

# Suppression des dependances installees de facon automatique
echo "Application de autoremove"
sudo apt-get -y autoremove

# Supprimer le cache de apt-get
echo "Nettoyage avec clean"
sudo apt-get clean

# Fin de la procédure
echo "Fin de la précédure"
df -h
